diff --git a/changelog b/changelog
index dd42aaf..20b81c8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130324 jxb src/axiom-website/patches.html 20130324.01.jxb.patch
+20130324 jxb src/input/Makefile add romanpolynomials
+20130324 jxb src/input/romanpolynomials.input create POLY(ROMAN)
 20130323 tpd src/axiom-website/patches.html 20130323.01.tpd.patch
 20130323 tpd books/bookvolbib add references
 20130321 tpd src/axiom-website/patches.html 20130321.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index cd04378..861aae6 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4113,5 +4113,7 @@ regression test cleaup
 books/bookvol10.4 add FiniteFieldFactorization
 <a href="patches/20130323.01.tpd.patch">20130323.01.tpd.patch</a>
 books/bookvolbib add references
+<a href="patches/20130324.01.jxb.patch">20130324.01.jxb.patch</a>
+src/input/romanpolynomials.input create POLY(ROMAN)
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 593c53b..00a1835 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -383,8 +383,9 @@ REGRESSTESTS= ackermann.regress \
     realclos.regress  reclos.regress   reclos2.regress  regset.regress \
     repa6.regress     risch.regress \
     robidoux.regress \
-    roman.regress     roots.regress    rsa.regress \
-    ruleset.regress  rules.regress \
+    roman.regress     romanpolynomials.regress \
+    roots.regress     rsa.regress \
+    ruleset.regress   rules.regress \
     rubey.regress     sae.regress       spline.regress \
     scherk.regress    scope.regress    seccsc.regress \
     segbind.regress   seg.regress \
diff --git a/src/input/romanpolynomials.input.pamphlet b/src/input/romanpolynomials.input.pamphlet
new file mode 100644
index 0000000..063f364
--- /dev/null
+++ b/src/input/romanpolynomials.input.pamphlet
@@ -0,0 +1,160 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input romanpolynomials.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f romanpolynomials.output
+)spool romanpolynomials.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 14
+(x-4::ROMAN)
+--R 
+--R
+--R   (1)  VI
+--R                                               Type: Polynomial(RomanNumeral)
+--E 1
+
+--S 2 of 14
+x
+--R 
+--R
+--R   (2)  x
+--R                                                            Type: Variable(x)
+--E 2
+
+--S 3 of 14
+x::ROMAN
+--R 
+--R
+--R   (3)  X
+--R                                                           Type: RomanNumeral
+--E 3
+
+--S 4 of 14
+a::ROMAN
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   Improper character in Roman numeral: 
+--R   #\A
+--R
+--R   Continuing to read the file...
+--R
+--E 4
+
+--S 5 of 14
+a::ROMAN
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   Improper character in Roman numeral: 
+--R   #\A
+--R
+--R   Continuing to read the file...
+--R
+--E 5
+
+--S 6 of 14
+d::ROMAN
+--R 
+--R
+--R   (4)  D
+--R                                                           Type: RomanNumeral
+--E 6
+
+--S 7 of 14
+M::ROMAN
+--R 
+--R
+--R   (5)  M
+--R                                                           Type: RomanNumeral
+--E 7
+
+--S 8 of 14
+(y-4::ROMAN)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   Improper character in Roman numeral: 
+--R   #\Y
+--R
+--R   Continuing to read the file...
+--R
+--E 8
+
+--S 9 of 14
+x:POLY(ROMAN):='x
+--R 
+--R
+--R   (6)  X
+--R                                               Type: Polynomial(RomanNumeral)
+--E 9
+
+--S 10 of 14
+(x-4::ROMAN)
+--R 
+--R
+--R   (7)  VI
+--R                                               Type: Polynomial(RomanNumeral)
+--E 10
+
+--S 11 of 14
+(x-4)
+--R 
+--R
+--R   (8)  VI
+--R                                               Type: Polynomial(RomanNumeral)
+--E 11
+
+--S 12 of 14
+x::Symbol::Polynomial(ROMAN)
+--R 
+--R 
+--RDaly Bug
+--R   Cannot convert from type Polynomial(RomanNumeral) to Symbol for 
+--R      value
+--R   X
+--R
+--E 12
+
+--S 13 of 14
+x:=monomial(1,monomial(1,'x)$IndexedExponents(Symbol))$Polynomial(ROMAN)
+--R 
+--R
+--R   (9)  x
+--R                                               Type: Polynomial(RomanNumeral)
+--E 13
+
+--S 14 of 14
+(x-5::ROMAN)^2
+--R 
+--R
+--R          2
+--R   (10)  x  - X x + XXV
+--R                                               Type: Polynomial(RomanNumeral)
+--E 14
+ 
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
